<?php

require_once("DBManager.class.php");

class Usuario{
	private $idusuario ;///	
	private $idbeneficiario;
	private $usuario;
	private $clave;	
	private $tipo;
	private $estado;
		/////////////////constructor/////////////////	
	///////////////////////////////////////////
	public function Crear($idafi,$vusu,$vcla,$tipo,$est)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("INSERT INTO usuarios (idusuario,idbeneficiario,usuario,clave,tipo,estado) VALUES(null,".$idafi.",'".$vusu."','".$vcla."','".$tipo."','".$est."')")) 

		{
			$resp=true;
		}
		return $resp;		
	}
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from usuarios where(idusuario= ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
                $this->idusuario=$rs->fields["idusuario"];	
				$this->idbeneficiario=$rs->fields["idbeneficiario"];		
				$this->usuario=$rs->fields["usuario"];
				$this->clave=$rs->fields["clave"];
				$this->tipo=$rs->fields["tipo"];
				$this->estado=$rs->fields["estado"];
							
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorUsuario($v)
	{		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from usuarios where(usuario= '".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
                 $this->idusuario=$rs->fields["idusuario"];	
				$this->idbeneficiario=$rs->fields["idbeneficiario"];		
				$this->usuario=$rs->fields["usuario"];
				$this->clave=$rs->fields["clave"];
				$this->tipo=$rs->fields["tipo"];
				$this->estado=$rs->fields["estado"];			
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorBeneficiario($v)
	{		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from usuarios where(idbeneficiario= '".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
                $this->idusuario=$rs->fields["idusuario"];	
				$this->idbeneficiario=$rs->fields["idbeneficiario"];		
				$this->usuario=$rs->fields["usuario"];
				$this->clave=$rs->fields["clave"];
				$this->tipo=$rs->fields["tipo"];
				$this->estado=$rs->fields["estado"];			
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	/////////////////////////////////*/
		
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();
		$rs=$db->execute("select * from usuarios");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                 $vector[$row]=array("idusuario"=> $rs->fields["idusuario"],
				 					"idbeneficiario"=> $rs->fields["idbeneficiario"],
									"usuario"=> $rs->fields["usuario"],
									"clave"=> $rs->fields["clave"],
									"tipo"=> $rs->fields["tipo"],
									"estado"=> $rs->fields["estado"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	/*//////////////////////////*/
	
	public function Login($nom,$clave)
        {
                $resp=false;
                $num_rows=0;//numero de filas afectada por la consulta
                $db= new DBManager();
        		$rs=$db->execute("SELECT * FROM usuarios WHERE (usuario='".$nom."' AND clave='".$clave."' AND estado='ACTIVO');");
                $num_rows=$rs->getNumOfRows();
                if($num_rows>0)
                {        $resp=true;
                         $rs->firstRow(); // opcional, pero recomendado
                        while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también                               
                                $this->idusuario=$rs->fields["idusuario"];	
								$this->idbeneficiario=$rs->fields["idbeneficiario"];		
								$this->usuario=$rs->fields["usuario"];
								$this->clave=$rs->fields["clave"];
								$this->tipo=$rs->fields["tipo"];
								$this->estado=$rs->fields["estado"];	
                               $rs->nextRow(); // Nota: nextRow() Esta situado al final
                         }
                }
                $rs->close();
                $db->closeConnection();//opcional cierra el enlace de la Base de Datos
                return $resp;
        }
	////////////////////////////////////////*/
	
	public function ActualizarClave($vcod,$vc)			
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("update usuarios set clave='".$vc."' where (idusuario=".$vcod.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	public function ActualizarEstado($vcod,$vc)			
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("update usuarios set estado='".$vc."' where (idusuario=".$vcod.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	public function Actualizar($vcod,$vu,$vt,$ve)			
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("update usuarios set usuario='".$vu."', tipo='".$vt."',estado='".$ve."' where (idusuario=".$vcod.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}					
	
	public function getidusuario(){ return $this->idusuario;}
	public function getidbeneficiario(){ return $this->idbeneficiario;}
	public function getusuario(){ return $this->usuario;}
	public function getclave(){ return $this->clave;}
	public function gettipo(){ return $this->tipo;}
	public function getestado(){ return $this->estado;}

}
?>